2022-07-04 15:04 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005634Ambermoon[All Projects] Generalpublic2022-06-13 12:56
ReporterHexaae 
Assigned ToWeplProject InfoAmbermoon (Thalion)
http://www.whdload.de/games/Ambermoon.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0005634: Random crash when calling eagle/unmounting, even though it should have been
DescriptionGameVersion: english,pal
SlaveVersion: 2.0 (18-03-2018)

Random crash when calling eagle/unmounting, even though it should have been already fixed by latest Ambermoon v1.13 patch
https://github.com/Pyrdacor/Ambermoon/issues/22
where I posted also a link to download WHD dump on crash.
Maybe you could collaborate to fix this masterpiece.
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed100
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.8beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0011413

alexh (reporter)

This bug has been identified and a code fix documented which has improved stability (although it may have uncovered another bug). For all intents and purposes it is now fixed though.

A description of the bug and the fix is here :

https://github.com/Pyrdacor/Ambermoon/issues/22

note ~0011414

alexh (reporter)

Ah my bad I didn't read the description.
+Notes

-Issue History
Date Modified Username Field Change
2022-05-02 11:03 administrator New Issue
2022-05-02 11:03 administrator Status new => assigned
2022-05-02 11:03 administrator Assigned To => Wepl
2022-06-13 12:55 alexh Note Added: 0011413
2022-06-13 12:56 alexh Note Added: 0011414
+Issue History